#ifndef SETTING_DIALOG_FORM_H
#define SETTING_DIALOG_FORM_H

/*!
  \file
  \brief テーマ時計の設定ダイアログ

  \author Satofumi KAMIMURA

  $Id$
*/

#include "ui_ClockSettingDialogForm.h"


/*!
  \brief テーマ時計の設定ダイアログ
*/
class ClockSettingDialog : public QDialog, private Ui::ClockSettingDialog {
  Q_OBJECT;

  ClockSettingDialog(const ClockSettingDialog& rhs);
  ClockSettingDialog& operator = (const ClockSettingDialog& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;

private slots:
  void scalingSliderHandler(int value);

 public:

  /*!
    \brief コンストラクタ

    \param parent [i] 親ウィジット
  */
  explicit ClockSettingDialog(QDialog* parent = 0);
  ~ClockSettingDialog(void);

  /*!
    \brief 拡大率のスライドバーを設定

    \param value [i] スライドバーの値
  */
  void setScalingPercent(int value);

signals:
  void scalingValueChanged(int);
};

#endif /* !SETTING_DIALOG_FORM_H */
