#ifndef THEME_RESOURCE_H
#define THEME_RESOURCE_H

/*!
  \file
  \brief テーマ時計のリソース

  \author Satofumi KAMIMURA

  $Id$
*/

#include <QMap>
#include <string>

class QPixmap;
class QRect;


/*!
  \brief テーマ時計のリソース
*/
class ThemeResource {
public:
  QMap<std::string, QPixmap*> pixmap; //!< 画像
  QMap<std::string, QRect> offset;    //!< 位置
  QMap<std::string, std::string> option;  //!< オプション
};


/*!
  \brief デジタル位置の設定を読み出し

  \param digital_positions [i] デジタル文字位置
  \param tags [i] 配置情報リソース
*/
extern void loadDigitalPosition(QVector<QPoint>& digital_positions,
                                const QMap<std::string, std::string>& tags);

extern void loadDigitalPosition(QVector<QPoint>& digital_positions,
                                QMap<std::string, QPoint>& parts_positions);

#endif /* !THEME_RESOURCE_H */
