/*!
  \file
  \brief リリース用ダイアログ

  \author Satofumi KAMIMURA

  $Id$
*/

#include "ReleaseDialog.h"
#include "ArchiveConfig.h"


ReleaseDialog::ReleaseDialog(QDialog* parent) : QDialog(parent) {
  setupUi(this);

  // アイコンの適用
  setWindowIcon(QIcon(":icons/qtmclock_config_icon"));

  // イベントの接続
  connect(this, SIGNAL(accepted()), this, SLOT(acceptedHandler()));
}


ReleaseDialog::~ReleaseDialog(void) {
}


void ReleaseDialog::acceptedHandler(void) {

  emit release(file_name_edit_->text(), key_edit_->text());
}


void ReleaseDialog::setDefaultValue(const std::string& release_file,
                                    const std::string& rrda_key) {

  file_name_edit_->setText(release_file.c_str());
  key_edit_->setText(rrda_key.c_str());
}
